Bug 179439 - Review Request: linux-libertine-fonts - TrueType serif fonts
Review Request: linux-libertine-fonts - TrueType serif fonts
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-01-31 08:33 EST by Frank Arnold
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-01 11:41:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Frank Arnold 2006-01-31 08:33:56 EST
Spec Name or Url: http://www.scirocco-5v-turbo.de/fedora/linux-libertine-fonts.spec
SRPM Name or Url: http://www.scirocco-5v-turbo.de/fedora/linux-libertine-fonts-2.0.1-1.src.rpm
Description: The Linux Libertine Open Fonts are a TrueType font family for practical use in documents. They were created to provide a free alternative to proprietary standard fonts.

Still looking for a sponsor. See also bug 176784.
Comment 1 Ignacio Vazquez-Abrams 2006-01-31 09:02:46 EST
A couple of things:

- Rename package to font-linux-libertine
- Use pristine source instead of prepackaged binaries, i.e., use fontforge and a
script to generate font files from LinLibertineSRC.tgz
Comment 2 Rex Dieter 2006-01-31 09:26:53 EST
> Use pristine source instead of prepackaged binaries, i.e., use fontforge and a
> script to generate font files from LinLibertineSRC.tgz

Why?  I see no problem using pregenerated fonts (especially if they're created
by the upstream provider)
Comment 3 Rex Dieter 2006-01-31 09:28:38 EST
>> Use pristine source instead of prepackaged binaries, i.e., use fontforge and a
>> script to generate font files from LinLibertineSRC.tgz

> Why?  I see no problem using pregenerated fonts...

That is unless there is some un-named advantage (that I fail to see) by
generating the fonts from source.
Comment 4 Ignacio Vazquez-Abrams 2006-01-31 10:03:03 EST
The advantage would be that we won't have to provide both the source and the
pregenerated binaries in the SRPM since the font is GPL. Plus we can have
fontforge generate a sample sheet for the font in PDF format, which might be
nice to have.
Comment 5 Frank Arnold 2006-01-31 15:14:17 EST
It's crystal clear that we have to provide the sources. Somehow I missed the
fact on a font package. Sorry. Apparently I'm not the only one... ;)

New try:
Spec: http://www.scirocco-5v-turbo.de/fedora/font-linux-libertine.spec
SRPM: http://www.scirocco-5v-turbo.de/fedora/font-linux-libertine-2.0.1-2.src.rpm
Used fontforge script: http://www.scirocco-5v-turbo.de/fedora/generate-fonts.pe
Comment 6 Frank Arnold 2006-01-31 19:59:45 EST
Just nuked the separate script file. It's now in %build.

Spec: http://www.scirocco-5v-turbo.de/fedora/font-linux-libertine.spec
SRPM: http://www.scirocco-5v-turbo.de/fedora/font-linux-libertine-2.0.1-3.src.rpm
Comment 7 Dawid Gajownik 2006-02-01 07:11:50 EST
(In reply to comment #1)
> - Rename package to font-linux-libertine

Are you shure? I was told that it shoud be fontname-fonts
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=165900#c6

(In reply to comment #6)
> Just nuked the separate script file. It's now in %build.
> 
> Spec: http://www.scirocco-5v-turbo.de/fedora/font-linux-libertine.spec

# "touch" all files we've got flagged as %ghost  but which are not
# present in the RPM_BUILD_ROOT when RPM looks for files
touch $RPM_BUILD_ROOT%{fontdir}/fonts.cache-1
touch $RPM_BUILD_ROOT%{fontdir}/fonts.cache-2

It's not necessary in FC5 →
http://www.redhat.com/archives/fedora-extras-list/2006-January/msg00918.html
Comment 8 Frank Arnold 2006-02-01 08:05:06 EST
(In reply to comment #7)
> # "touch" all files we've got flagged as %ghost  but which are not
> # present in the RPM_BUILD_ROOT when RPM looks for files
> touch $RPM_BUILD_ROOT%{fontdir}/fonts.cache-1
> touch $RPM_BUILD_ROOT%{fontdir}/fonts.cache-2
> 
> It's not necessary in FC5 →
> http://www.redhat.com/archives/fedora-extras-list/2006-January/msg00918.html

Thanks for the link. I will remove touching and ghosting fonts.cache-2, but
continue to handle fonts.cache-1 for FC4 as it doesn't hurt on FC5. Just waiting
for a final naming decision.
Comment 9 Frank Arnold 2006-02-01 08:18:43 EST
> frank scirocco-5v-turbo de changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>              Status|NEW                         |ASSIGNED

I swear I haven't played with this field. Just was not logged in while typing
and was asked for login afterwards. Can someone set it back to NEW please?
Comment 10 Kevin Fenzi 2006-02-16 00:41:09 EST
Greetings, heres a review:

MUST items:

OK - licence ok (GPL).
OK - no rpmlint output
OK - package name good.
OK - spec file matches.
OK - spec in english.
OK - spec legible.
OK - md5sum matches:
be31789d2bcb0d01f1755491d28d72a3  LinLibertineSRC.tgz
be31789d2bcb0d01f1755491d28d72a3  LinLibertineSRC.tgz.1
OK - compiles and builds under devel.
OK - files and dirs ok.
OK - clean section good.
OK - macros good.
OK - builds ok in mock on devel.

As far as the name goes, that bug refered to in comment #7
says (in part):
"For example Debian uses ttf-fontname for the package names.
Fedora so far uses fontname-fonts.  However, this is a very
minor issue, which could go either way.  Since it is not a
policy it is up to you to decide the package name."

It might be good to post to fedora-extras-list and ask for
some thoughts on font package naming?
That should be added to the wiki on
http://fedoraproject.org/wiki/Packaging/NamingGuidelines
once it's decided.

Nice looking fonts BTW.
Comment 11 Frank Arnold 2006-02-16 02:50:14 EST
Thank you for the review. /me sees one NOT OK - it's not the latest release.

So let's fix it...
Spec: http://www.scirocco-5v-turbo.de/fedora/font-linux-libertine.spec
SRPM: http://www.scirocco-5v-turbo.de/fedora/font-linux-libertine-2.0.4-1.src.rpm

Changelog:
* Wed Feb 13 2006 Frank Arnold <frank@scirocco-5v-turbo.de> 2.0.4-1
- Updated to 2.0.4
- Removed handling of fonts.cache-2
Comment 12 Kevin Fenzi 2006-02-26 13:01:53 EST
Sorry for the delay in getting back to you on this... 

It seems that no-one has a strong opinion on the naming of font packages.
(At least according to this thread on the list:
https://www.redhat.com/archives/fedora-extras-list/2006-February/msg00986.html )

The name seems fine to me. 
I ran a mock build and some testing on the package from comment #11, and it all
looks good. 

So, this package is APPROVED. I see you were just sponsored, but if you have any 
questions or problems, feel free to drop me an email. 
Comment 13 Frank Arnold 2006-02-26 15:01:29 EST
Would you strongly protest, if the name were changed back to
linux-libertine-fonts? There's currently an 8:1 of packages named fontname-fonts
against fonts-fontname inside Extras. So it may be more consistent at least for
Extras.

Anyway, thanks for your review, and sorry for not being your first sponsoree...;)
Comment 14 Kevin Fenzi 2006-02-26 20:45:35 EST
I think whichever name you prefer is ok in the absence of a hard rule in the
naming guidelines. :)
Comment 15 Frank Arnold 2006-02-28 03:49:44 EST
Just to be sure, and to follow the guidelines here is the hopefully last version
inside bugzilla.
Spec: http://www.scirocco-5v-turbo.de/fedora/linux-libertine-fonts.spec
SRPM: http://www.scirocco-5v-turbo.de/fedora/linux-libertine-fonts-2.0.4-2.src.rpm

Changes:
* Changed %(name) to linux-libertine-fonts
* Renamed spec file to linux-libertine-fonts.spec
* Bumped version and added a changelog entry

Everything else stayed the same. Builds with mock devel, rpmlint doesn't
complain on results.
Comment 16 Kevin Fenzi 2006-02-28 14:42:12 EST
Looks good to me. 
Works fine here. 
Comment 17 Frank Arnold 2006-03-01 11:41:34 EST
Thanks again, built on devel.

Note You need to log in before you can comment on or make changes to this bug.